library ieee;
use ieee.std_logic_1164.all;

entity BoardTest is
port
(
    Clk:		 in     std_logic;
    Reset:		 in     std_logic;	 
    Led:		 out	std_logic_vector(7 downto 0)
);
end BoardTest;

architecture BoardTest of BoardTest is

	component Devider
	port
        (
		Clk:            in std_logic;   
                Reset:		in std_logic;

		Clk_out:	out std_logic	
        );
	end component;

        signal Devided_Clk:   std_logic;
        signal Qreg :    std_logic_vector(7 downto 0);

begin
  U1:   Devider port map (Clk, Reset, Devided_Clk);
		  
   process(Devided_Clk, Reset)
	begin
		if (Devided_Clk ='0' and Devided_Clk'event) then
			if Reset ='0'   then
            Qreg <= x"03";
         else
				Qreg <= Qreg(6 downto 0) & Qreg(7);  --Left Shift
			end if;
      end if; 
	end process;
	
	Led <= not Qreg;
end BoardTest;